<mat-horizontal-stepper style="background: no-repeat center;" [linear]="true" #stepper>
  <mat-step [stepControl]="officeFormGroup">
    <ng-template matStepLabel>Choose office</ng-template>
    <app-office-form [formGroup]="officeFormGroup"></app-office-form>
  </mat-step>
  <mat-step [stepControl]="floorplanFormGroup ">
    <ng-template matStepLabel>Choose space</ng-template>
    <app-floorplan [formGroup]="floorplanFormGroup"></app-floorplan>
  </mat-step>
  <mat-step [stepControl]="accountFormGroup">
    <ng-template matStepLabel>Fill out your account details</ng-template>
    <app-account-form [formGroup]="accountFormGroup"></app-account-form>
  </mat-step>
  <mat-step>
    <ng-template matStepLabel>Done</ng-template>
    <div>
      <button mat-raised-button color="primary" (click)="applyStepper()">Apply</button>
      <button mat-raised-button color="accent" matStepperPrevious>Back</button>
      <button mat-raised-button color="warn" (click)="stepper.reset()">Reset</button>
    </div>
  </mat-step>
</mat-horizontal-stepper>
